<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>
    <div class="comments-area">
        <div class="group-title">
            <h3><?php comments_number( esc_html__('0 Comments', 'aenft'), esc_html__('1 Comment', 'aenft'), esc_html__('% Comments', 'aenft') ); ?></h3>
        </div>
        <?php wp_list_comments('callback=aenft_theme_comment'); ?>
    </div>

    <?php
        if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
    ?>
    <div class="pagination_area">
        <nav>
            <ul class="pagination">
                <li> <?php paginate_comments_links( 
                        array(
                        'prev_text' => wp_specialchars_decode(esc_html__( 'Previous', 'aenft' ),ENT_QUOTES),
                        'next_text' => wp_specialchars_decode(esc_html__( 'Next', 'aenft' ),ENT_QUOTES),
                        ));  
                    ?>
                </li>
            </ul>
       </nav>
    </div>
    <?php endif; ?>
    <!-- END PAGINATION --> 
    <?php endif; ?>  
    <div class="comment-form">
        <?php
          if ( is_singular() ) wp_enqueue_script( "comment-reply" );
              $aria_req = ( $req ? " aria-required='true'" : '' );
              $comment_args = array(       
                'class_form' => 'aenft-contact-form row',                         
                'title_reply'=> esc_html__( 'Leave a comment', 'aenft' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' =>   ' <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <input type="text" name="author" id="name" placeholder="'.esc_attr__('Name *', 'aenft').'">
                                    </div>',

                    'email' =>    ' <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                        <input id="email" placeholder="'.esc_attr__('Email *', 'aenft').'" name="email" type="email">
                                    </div>',
                    'website' =>    ' <div class="col-lg-6 col-md-6 col-sm-12 form-group">
                                        <input  placeholder="'.esc_attr__('Website', 'aenft').'" name="website" type="text">
                                    </div>',

                ) ),   
                'comment_field' => '<div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <textarea  name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write a comment...', 'aenft').'" required="required" data-error="Please,leave us a message."></textarea>
                                    </div>',   

                'label_submit' => esc_html__( 'Post a comment', 'aenft' ),
                'submit_button' =>'<button type="submit" name="submit-form" class="theme-btn btn-style-one"><span>'.esc_attr__(' %4$s', 'aenft').'</span></button>',
                'submit_field' =>   '<div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        %1$s %2$s
                                    </div>',
                'comment_notes_before' => '',
                'comment_notes_after' => '',                 
              )
        ?>
        
        <?php if ( comments_open() ) : ?>
          <?php comment_form($comment_args); ?>
        <?php endif; ?> 
    </div>