<?php
$aenft_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
//Theme Set up:
function aenft_theme_setup() {
  /*
   * This theme uses a custom image size for featured images, displayed on
   * "standard" posts and pages.
   */
  add_theme_support( 'custom-header' ); 
  remove_filter ('the_content', 'wpautop');
  add_theme_support( 'custom-background' );
  $lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('aenft', $lang);
  add_theme_support( 'post-thumbnails' );
  // Adds RSS feed links to <head> for posts and comments.
  add_theme_support( 'automatic-feed-links' );
  // Switches default core markup for search form, comment form, and comments
  // to output valid HTML5.
  add_theme_support( 'title-tag' );
  add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
  // This theme uses wp_nav_menu() in one location.
  register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Menu.', 'aenft' ),
    'blog' =>  esc_html__( 'Other Pages Menu.', 'aenft' ),
    'footer' =>  esc_html__( 'Footer Home V2 Menu.', 'aenft' ),
  ) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'aenft_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;

function aenft_theme_scripts_styles() {
  $aenft_redux_demo = get_option('redux_demo');
  $protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/assets/css/plugins/bootstrap.min.css');
    wp_enqueue_style( 'slick', get_template_directory_uri().'/assets/css/plugins/slick.css');
    wp_enqueue_style( 'animate', get_template_directory_uri().'/assets/css/plugins/animate.css');
    wp_enqueue_style( 'aenft-style', get_template_directory_uri().'/assets/css/style.css');
    wp_enqueue_style( 'googlefonts', 'https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&family=Poppins:wght@400;500;600;700', array(), null );
    wp_enqueue_style( 'aenft-css', get_stylesheet_uri(), array(), '2023-07-13' );

    if(isset($aenft_redux_demo['chosen-color']) && $aenft_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }    
    if(isset($aenft_redux_demo['support-rtl']) && $aenft_redux_demo['support-rtl']==1){
    wp_enqueue_style( 'support-rtl', get_template_directory_uri().'/rtl.css');
    }
    
  if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  //Javascript
    wp_enqueue_script('jquery-3-6-0', get_template_directory_uri().'/assets/js/plugins/jquery-3.6.0.min.js',array(),false,true);
    wp_enqueue_script('jquery-slick', get_template_directory_uri().'/assets/js/plugins/jquery.slick.min.js',array(),false,true);
    wp_enqueue_script('jquery-counter', get_template_directory_uri().'/assets/js/plugins/jquery.counter.min.js',array(),false,true);
    wp_enqueue_script('wow', get_template_directory_uri().'/assets/js/plugins/wow.min.js',array(),false,true);
    wp_enqueue_script('ripples', get_template_directory_uri().'/assets/js/plugins/ripples.min.js',array(),false,true);
    wp_enqueue_script('aenft-main', get_template_directory_uri().'/assets/js/main.js',array(),false,true);
    
}
  
add_action( 'wp_enqueue_scripts', 'aenft_theme_scripts_styles' );
//Custom Excerpt Function
function aenft_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}  

// Widget Sidebar
function aenft_widgets_init() {
  register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'aenft' ),
    'id'            => 'sidebar-1',        
    'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'aenft' ),        
    'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s" ><div class="widget-content">',        
    'after_widget'  => '</div></div>',        
    'before_title'  => '<div class="sidebar-title"><h4>',        
    'after_title'   => '</h4></div>'
    ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Header Button Details', 'aenft' ),
    'id'            => 'sidebar-2',        
    'description'   => esc_html__( 'Appears in the button details pop up of the site.', 'aenft' ),        
    'before_widget' => '<div class="cs-wallet_secton text-center">',        
    'after_widget'  => '</div>',        
    'before_title'  => '<h2 class="cs-font_22 text-uppercase cs-normal cs-m0">',        
    'after_title'   => '</h2><div class="cs-height_25 cs-height_lg_25"></div>'
    ) );
}
add_action( 'widgets_init', 'aenft_widgets_init' );

//function tag widgets
function aenft_tag_cloud_widget($args) {
  $args['number'] = 0; //adding a 0 will display all tags
  $args['largest'] = 18; //largest tag
  $args['smallest'] = 11; //smallest tag
  $args['unit'] = 'px'; //tag font unit
  $args['format'] = 'list'; //ul with a class of wp-tag-cloud
  $args['exclude'] = array(20, 80, 92); //exclude tags by ID
  return $args;
}

function move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
add_filter( 'comment_form_fields', 'move_comment_field_to_bottom');

add_filter( 'widget_tag_cloud_args', 'aenft_tag_cloud_widget' );

function aenft_excerpt() {
  $aenft_redux_demo = get_option('redux_demo');
  if(isset($aenft_redux_demo['blog_excerpt'])){
    $limit = $aenft_redux_demo['blog_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function aenft2_excerpt() {
  $aenft_redux_demo = get_option('redux_demo');
  if(isset($aenft_redux_demo['blog_excerpt_2'])){
    $limit = $aenft_redux_demo['blog_excerpt_2'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

if (!function_exists( 'next_pagination' )){
 
    function next_pagination(){
 
        if ( $GLOBALS['wp_query']->max_num_pages <2 ){ return ''; }?>
 
            <?php if ( function_exists('wp_pagenavi') ): ?>
 
            <?php wp_pagenavi(); ?> 
 
            <?php else: ?>
                <nav class="pagination" role="navigation">
 
                    <?php if ( get_next_posts_link() ) : ?>
 
                        <button><?php next_posts_link( __('Previous', 'aenft') ); ?></button>
 
                    <?php endif; ?>
 
                    <?php if ( get_previous_posts_link() ) :?>
 
                        <button><?php previous_posts_link(__('Next', 'aenft') ); ?></button>
 
                    <?php endif; ?>
 
                </nav>
 
            <?php endif; ?>
 
       <?php }
}

function aenft_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( 'Previous', 'aenft' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( 'Next', 'aenft' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
}

function aenft_search_form( $form ) {
  $form = '
  <form  method="get" action="' . esc_url(home_url('/')) . '"> 
    <input type="text"  placeholder="'.esc_attr__('Search', 'aenft').'" value="' . get_search_query() . '" name="s" > 
    <button type="submit">Search</button>
  </form>
  ';
  return $form;
}
add_filter( 'get_search_form', 'aenft_search_form' );
//Custom comment List:

// Comment Form
function aenft_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='80' )!=''){?>
    <div class="comment-box">
      <div class="comment">
        <div class="author-thumb"><?php echo get_avatar($comment,$size='80' ); ?></div>
        <div class="comment-info clearfix"><strong><?php printf( get_comment_author_link()) ?></strong><div class="comment-time"><?php comment_time(get_option( 'date_format' ));?> </div></div>
        <div class="text"><?php comment_text() ?>  </div>
        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
    </div>
    <?php }else{?>
    <div class="comment-box">
      <div class="comment">
        <div class="comment-info clearfix"><strong><?php printf( get_comment_author_link()) ?></strong><div class="comment-time"><?php comment_time(get_option( 'date_format' ));?> </div></div>
        <div class="text"><?php comment_text() ?>  </div>
        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
    </div>
    <?php }?>

<?php
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'aenft_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function aenft_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'aenft' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'aenft' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'aenft' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'aenft' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'aenft' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'SVG Support', 'aenft' ),
            'slug'      => 'svg-support',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'aenft' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'aenft' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Aenft Common', 'aenft' ),
            'slug'                     => 'aenft-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/aenft-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Aenft Elementor', 'aenft' ),
            'slug'                     => 'aenft-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/aenft-elementor.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'aenft' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'aenft' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'aenft' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'aenft' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'aenft' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'aenft' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'aenft' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'aenft' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'aenft' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'aenft' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'aenft' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'aenft' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'aenft' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'aenft' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'aenft' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'aenft' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'aenft' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
?>