<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>
<?php $aenft_redux_demo = get_option('redux_demo'); ?>
    <head>
    <meta content="" name="description">
    <meta content="" name="author">
    <meta content="" name="keywords">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <?php if(isset($aenft_redux_demo['favicon']['url'])){ ?>
        <link rel="shortcut icon" href="<?php echo esc_url($aenft_redux_demo['favicon']['url']); ?>">
    <?php }?>
    
    <?php }?>
    <?php wp_head(); ?>
    </head>
    <body id="post-<?php the_ID(); ?>" <?php body_class('cs-dark'); ?>>

        <!-- Start Header Section -->
      <header class="cs-site_header cs-style1 cs-sticky-header cs-primary_color">
        <div class="cs-main_header">
          <div class="container">
            <div class="cs-main_header_in">
              <div class="cs-main_header_left">
                <a class="cs-site_branding cs-accent_color" href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($aenft_redux_demo['logo_dark']['url']) && $aenft_redux_demo['logo_dark']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($aenft_redux_demo['logo_dark']['url']); ?>" alt="Logo" class="cs-hide_dark">
                  <?php }else{ ?>
                      <img src="<?php echo get_template_directory_uri();?>/assets/img/logo.svg" alt="Logo" class="cs-hide_dark">
                  <?php } ?>

                  <?php if(isset($aenft_redux_demo['logo_light']['url']) && $aenft_redux_demo['logo_light']['url'] != ''){ ?>
                      <img src="<?php echo esc_url($aenft_redux_demo['logo_light']['url']); ?>" alt="Logo" class="cs-hide_white">
                  <?php }else{ ?>
                      <img src="<?php echo get_template_directory_uri();?>/assets/img/logo_white.svg" alt="Logo" class="cs-hide_white">
                  <?php } ?>
                </a>
              </div>
              <div class="cs-main_header_center">
                <div class="cs-nav">
                  <?php 
                      wp_nav_menu( 
                      array( 
                              'theme_location' => 'blog',
                              'container' => '',
                              'menu_class' => '', 
                              'menu_id' => '',
                              'menu'            => '',
                              'container_class' => '',
                              'container_id'    => '',
                              'echo'            => true,
                              'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                              'walker'            => new aenft_Wp_Bootstrap_Navwalker(),
                              'before'          => '',
                              'after'           => '',
                              'link_before'     => '',
                              'link_after'      => '',
                              'items_wrap'      => '<ul  class="cs-nav_list %2$s">%3$s</ul>',
                              'depth'           => 0,        
                          )
                  ); ?>
                </div>
              </div>
              <div class="cs-main_header_right">
                <div class="cs-toolbox">
                  <span class="cs-icon_btn cs-mode_btn">
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="cs-hide_dark iconify iconify--ph" width="1em" height="1em" viewBox="0 0 256 256"><path fill="currentColor" d="M233.54 142.23a8 8 0 0 0-8-2a88.08 88.08 0 0 1-109.8-109.8a8 8 0 0 0-10-10a104.84 104.84 0 0 0-52.91 37A104 104 0 0 0 136 224a103.09 103.09 0 0 0 62.52-20.88a104.84 104.84 0 0 0 37-52.91a8 8 0 0 0-1.98-7.98Zm-44.64 48.11A88 88 0 0 1 65.66 67.11a89 89 0 0 1 31.4-26A106 106 0 0 0 96 56a104.11 104.11 0 0 0 104 104a106 106 0 0 0 14.92-1.06a89 89 0 0 1-26.02 31.4Z"></path></svg>
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="cs-hide_white iconify iconify--ph" width="1em" height="1em" viewBox="0 0 256 256"><path fill="currentColor" d="M116 32V16a12 12 0 0 1 24 0v16a12 12 0 0 1-24 0Zm80 96a68 68 0 1 1-68-68a68.07 68.07 0 0 1 68 68Zm-24 0a44 44 0 1 0-44 44a44.05 44.05 0 0 0 44-44ZM51.51 68.49a12 12 0 1 0 17-17l-12-12a12 12 0 0 0-17 17Zm0 119l-12 12a12 12 0 0 0 17 17l12-12a12 12 0 1 0-17-17ZM196 72a12 12 0 0 0 8.49-3.51l12-12a12 12 0 0 0-17-17l-12 12A12 12 0 0 0 196 72Zm8.49 115.51a12 12 0 0 0-17 17l12 12a12 12 0 0 0 17-17ZM44 128a12 12 0 0 0-12-12H16a12 12 0 0 0 0 24h16a12 12 0 0 0 12-12Zm84 84a12 12 0 0 0-12 12v16a12 12 0 0 0 24 0v-16a12 12 0 0 0-12-12Zm112-96h-16a12 12 0 0 0 0 24h16a12 12 0 0 0 0-24Z"></path></svg>
                  </span>
                  <?php if(isset($aenft_redux_demo['header_button']) && $aenft_redux_demo['header_button'] != ''){ ?>
                  <span class="cs-btn cs-btn_filed cs-accent_btn cs-modal_btn" data-modal="connect_wallet">
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" aria-hidden="true" role="img" class="iconify iconify--ion" width="1em" height="1em" viewBox="0 0 512 512"><rect width="416" height="288" x="48" y="144" fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32" rx="48" ry="48"></rect><path fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="32" d="M411.36 144v-30A50 50 0 0 0 352 64.9L88.64 109.85A50 50 0 0 0 48 159v49"></path><path fill="currentColor" d="M368 320a32 32 0 1 1 32-32a32 32 0 0 1-32 32Z"></path></svg>
                    <span><?php echo wp_specialchars_decode(esc_attr($aenft_redux_demo['header_button']));?></span>
                  </span>
                  <?php } ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </header>
      <!-- End Header Section -->
      <div class="cs-height_80 cs-height_lg_80"></div>