<?php
/*
 * Template Name: Blog Grid
 * Description: A Page Template with a Page Builder design.
 */
     $aenft_redux_demo = get_option('redux_demo');
     get_header('blog'); 
?>
<section>
    <div class="cs-height_95 cs-height_lg_65"></div>
    <div class="container">
      <div class="cs-page_heading wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.3s">
        <ol class="breadcrumb cs-m0">
          <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_attr($aenft_redux_demo['home_text']);?></a></li>
          <li class="breadcrumb-item active" aria-current="page">
            <?php if(isset($aenft_redux_demo['blog_grid_title'])){?>
            <?php echo wp_specialchars_decode(esc_attr($aenft_redux_demo['blog_grid_title']));?>
            <?php }else{?>
            <?php echo esc_html__( 'Latest Blog', 'aenft' );
            }
            ?></li>
        </ol>
        <div class="cs-height_10 cs-height_lg_10"></div>
        <h1 class="cs-font_30 cs-m0 text-uppercase">
            <?php if(isset($aenft_redux_demo['blog_grid_title'])){?>
            <?php echo wp_specialchars_decode(esc_attr($aenft_redux_demo['blog_grid_title']));?>
            <?php }else{?>
            <?php echo esc_html__( 'Latest Blog', 'aenft' );
            }
            ?>
        </h1>
      </div>
      <div class="cs-height_50 cs-height_lg_40"></div>
      <div class="row wow fadeIn" data-wow-duration="1s" data-wow-delay="0.45s">
        <?php
             $args = array(    
                              'paged' => $paged,
                              'post_type' => 'post',
                              'posts_per_page' => $aenft_redux_demo['grid_number'],
                              'orderby' =>'ID',
                              'order' => 'ASC',
                          );
            $wp_query = new WP_Query($args);
            while (have_posts()): the_post();
        ?>
        <?php $featured_image_3 = get_post_meta(get_the_ID(),'_cmb_featured_image_3', true); ?>
        <div class="col-lg-3 col-sm-6">
          <div class="cs-blog cs-style1">
            <a href="<?php the_permalink(); ?>" class="cs-blog_thumb cs-zoom_effect"><img src="<?php echo wp_get_attachment_url($featured_image_3);?>" alt="Thumb" class="w-100"></a>
            <div class="cs-height_15 cs-height_lg_15"></div>
            <h2 class="cs-blog_title cs-font_24 cs-font_18_sm cs-m0"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            <div class="cs-height_5 cs-height_lg_5"></div>
            <div class="cs-blgo_subtitle">
                <?php if(isset($aenft_redux_demo['blog_excerpt_2'])){?>
                <?php echo esc_attr(aenft2_excerpt($aenft_redux_demo['blog_excerpt_2'])); ?>
                <?php }else{?>
                <?php echo esc_attr(aenft2_excerpt(40)); 
                }
                ?>
            </div>
            <div class="cs-height_10 cs-height_lg_10"></div>
            <a href="<?php the_permalink(); ?>" class="cs-blog_btn cs-primary_font cs-primary_color cs-accent_color_hover">
                <?php if(isset($aenft_redux_demo['read_more'])){?>
                <?php echo wp_specialchars_decode(esc_attr($aenft_redux_demo['read_more']));?>
                <?php }else{?>
                <?php echo esc_html__( 'Read More ', 'aenft' );
                }
                ?>  
            <svg width="16" height="12" viewBox="0 0 16 12" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M15.5303 6.53033C15.8232 6.23744 15.8232 5.76256 15.5303 5.46967L10.7574 0.696699C10.4645 0.403806 9.98959 0.403806 9.6967 0.696699C9.40381 0.989593 9.40381 1.46447 9.6967 1.75736L13.9393 6L9.6967 10.2426C9.40381 10.5355 9.40381 11.0104 9.6967 11.3033C9.98959 11.5962 10.4645 11.5962 10.7574 11.3033L15.5303 6.53033ZM0 6.75H15V5.25H0V6.75Z" fill="currentColor"/>
            </svg>             
            </a>
          </div>
          <div class="cs-height_50 cs-height_lg_50"></div>
        </div>
        <?php endwhile; ?>
      </div>
      <div class="page cs-height_20 cs-height_lg_20"></div>
        <?php aenft_pagination(); ?>
    </div>
  </section>
<?php
    get_footer();
?>